Immer wieder Fehlermeldung "An error has occurred."

geschrieben von Fabian 
Willkommen! Anmelden Ein neues Profil erzeugen Suche
Immer wieder Fehlermeldung "An error has occurred."
31. Oktober 2017 11:47
Bekomme Faktura einfach nicht zum laufen. confused smiley

Fehlermeldung:

An error has occurred.
See the log file
/Applications/Fakturama.app/Contents/MacOS/configuration/1509446166624.log.





!SESSION 2017-10-31 11:36:06.151 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_65
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
Framework arguments: -keyring /Users/Fabian/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -keyring /Users/Fabian/.eclipse_keyring -showlocation

!ENTRY org.eclipse.osgi 2 0 2017-10-31 11:36:07.805
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-10-31 11:36:07.805
!MESSAGE Bundle com.sebulli.fakturama_1.6.9 [5] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-10-31 11:36:07.805
!MESSAGE Bundle com.sebulli.fakturama.help_1.6.9 [6] was not resolved.

!ENTRY org.eclipse.osgi 4 0 2017-10-31 11:36:07.809
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "com.sebulli.fakturama.application" could not be found in the registry. The applications available are: org.eclipse.equinox.app.error, org.eclipse.equinox.p2.director, org.eclipse.equinox.p2.garbagecollector.application, org.eclipse.equinox.p2.publisher.InstallPublisher, org.eclipse.equinox.p2.publisher.EclipseGenerator, org.eclipse.equinox.p2.publisher.ProductPublisher, org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher, org.eclipse.equinox.p2.reconciler.application, org.eclipse.equinox.p2.repository.repo2runnable, org.eclipse.equinox.p2.repository.metadataverifier, org.eclipse.equinox.p2.artifact.repository.mirrorApplication, org.eclipse.equinox.p2.metadata.repository.mirrorApplication, org.eclipse.equinox.p2.updatesite.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.CategoryPublisher, org.eclipse.help.base.infocenterApplication, org.eclipse.help.base.helpApplication, org.eclipse.help.base.indexTool.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)




———————




Last login: Tue Oct 31 11:33:21 on ttys000
/Applications/Fakturama.app/Contents/MacOS/Fakturama ; exit;
fabianbchersMBP:~ Fabian$ /Applications/Fakturama.app/Contents/MacOS/Fakturama ; exit;
logout
Saving session...
...copying shared history...
...saving history...truncating history files...
...completed.

[Prozess beendet]











——————————




Faktura.ini

-startup
plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
-vm
/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
--launcher.library
plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_1.1.101.v20120109-1504
-vmargs
-XstartOnFirstThread
-Dorg.eclipse.swt.internal.carbon.smallFonts
-Xdock:name=Fakturama



Last login: Tue Oct 31 11:27:08 on ttys001
fabianbchersMBP:~ Fabian$ /usr/libexec/java_home -V
Matching Java Virtual Machines (2):
1.6.0_65-b14-468, x86_64: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
1.6.0_65-b14-468, i386: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
Re: Immer wieder Fehlermeldung "An error has occurred."
31. Oktober 2017 18:11
Mit Java 6 geht das leider nicht... Bitte mindestens Java 7 oder 8 (von Oracle) installieren. Java 9 geht auch (noch) nicht.

Viele Grüße,
Ralf.
Re: Immer wieder Fehlermeldung "An error has occurred."
31. Oktober 2017 18:39
rheydenr schrieb:
-------------------------------------------------------
> Mit Java 6 geht das leider nicht... Bitte
> mindestens Java 7 oder 8 (von Oracle)
> installieren. Java 9 geht auch (noch) nicht.



verstehe ich nicht ... ich habe 8
habe aber geändert wie hier beschrieben ...

[www.fakturama.info]
Re: Immer wieder Fehlermeldung "An error has occurred."
31. Oktober 2017 19:13
Aber Dein Logfile
Zitat

java.version=1.6.0_65
und auch Deine Startparameter
Zitat

/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
sowie die Liste der installierten Java-Versionen
Zitat

Matching Java Virtual Machines (2):
1.6.0_65-b14-468, x86_64: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
1.6.0_65-b14-468, i386: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
sagen, daß Du nur Java 6 auf dem System hast. Hast Du mal bei www.oracle.com nachgesehen?

Viele Grüße,
Ralf.
Re: Immer wieder Fehlermeldung "An error has occurred."
31. Oktober 2017 20:29
Laut Java Kontrolle Panel

Plattform: 1.8
Produkt:1.8.0_151
Verzeichnis: [java.sun.com]
Pfad:/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java
Runtime-Parameter : nix eingetragen


beim Starten wird mir jetzt folgendes angezeigt : Um „Fakturama“ öffnen zu können, muss die alte Java SE 6-Runtime-Version installiert werden.



An error has occurred.
See the log file
/Applications/Fakturama.app/Contents/MacOS/configuration/1509520544589.log.


!SESSION 2017-11-01 08:15:44.102 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_65
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
Framework arguments: -keyring /Users/Fabian/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -keyring /Users/Fabian/.eclipse_keyring -showlocation


!ENTRY org.eclipse.osgi 2 0 2017-11-01 08:15:45.764
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-11-01 08:15:45.764
!MESSAGE Bundle com.sebulli.fakturama_1.6.9 [5] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-11-01 08:15:45.764
!MESSAGE Bundle com.sebulli.fakturama.help_1.6.9 [6] was not resolved.

!ENTRY org.eclipse.osgi 4 0 2017-11-01 08:15:45.774
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "com.sebulli.fakturama.application" could not be found in the registry. The applications available are: org.eclipse.equinox.app.error, org.eclipse.equinox.p2.director, org.eclipse.equinox.p2.garbagecollector.application, org.eclipse.equinox.p2.publisher.InstallPublisher, org.eclipse.equinox.p2.publisher.EclipseGenerator, org.eclipse.equinox.p2.publisher.ProductPublisher, org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher, org.eclipse.equinox.p2.reconciler.application, org.eclipse.equinox.p2.repository.repo2runnable, org.eclipse.equinox.p2.repository.metadataverifier, org.eclipse.equinox.p2.artifact.repository.mirrorApplication, org.eclipse.equinox.p2.metadata.repository.mirrorApplication, org.eclipse.equinox.p2.updatesite.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.UpdateSitePublisher, org.eclipse.equinox.p2.publisher.CategoryPublisher, org.eclipse.help.base.infocenterApplication, org.eclipse.help.base.helpApplication, org.eclipse.help.base.indexTool.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)





———————————



Last login: Wed Nov 1 07:31:17 on console
fabianbchersMBP:~ Fabian$ /usr/libexec/java_home -V
Matching Java Virtual Machines (3):
1.8.0_152, x86_64: "Java SE 8" /Library/Java/JavaVirtualMachines/jdk1.8.0_152.jdk/Contents/Home
1.6.0_65-b14-468, x86_64: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
1.6.0_65-b14-468, i386: "Java SE 6" /Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home

/Library/Java/JavaVirtualMachines/jdk1.8.0_152.jdk/Contents/Home



————

Faktura.ini

-startup
plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
-vm
/Library/Java/JavaVirtualMachines/jdk1.8.0_152.jdk/Contents/Home
--launcher.library
plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_1.1.101.v20120109-1504
-vmargs
-XstartOnFirstThread
-Dorg.eclipse.swt.internal.carbon.smallFonts
-Xdock:name=Fakturama




2-mal bearbeitet. Zuletzt am 01.11.17 08:22.
Re: Immer wieder Fehlermeldung "An error has occurred."
01. November 2017 18:59
Faktura Version 2.0.0 RC6 (macosx) läuft smileys with beer bis jetzt ... nur Fakturama Version 1.6 leider immer noch nicht confused smiley
In diesem Forum dürfen leider nur registrierte Teilnehmer schreiben.

Klicke hier, um Dich einzuloggen